#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
%define		enable_autotools 1
%global		package_version 3.5.3
%global		package_name ovirt-log-collector

Summary:	Log Collector for Red Hat Gluster Storage Console
Name:		rhsc-log-collector
Version:	3.1.0
Release:	1.0%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.ovirt.org
Source:		http://resources.ovirt.org/releases/stable/src/%{package_name}-%{package_version}.tar.gz
Group:		Storage/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch

Requires:       logrotate
Requires:       openssh-clients
Requires:       python
Requires:       python-dateutil
Requires:       python-lxml

Requires:       rhsc-lib
Requires:       rhsc-sdk-python >= 3.0.0

BuildRequires:  gettext
BuildRequires:  python2-devel

%if 0%{?enable_autotools}
BuildRequires:  autoconf
BuildRequires:  automake
%endif

%if 0%{?fedora} || 0%{?rhel} >= 7
Requires:       sos >= 3.2
BuildRequires:  sos >= 3
%endif

Patch1: 0001-branding-Adding-RHSC-branding.patch
Patch2: 0002-sos-plugins-Added-gluster_nagios-sos-plugin.patch

%description
Log Collector tool for Red Hat Gluster Storage Console

%if 0%{?rhel}
%if 0%{?rhel} < 7
%package sos-plugins
Summary:        Sos plugins for %{name}
Requires:       sos < 3
Requires:       %{name} >= %{version}-%{release}
BuildRequires:  sos < 3
License:        GPLv2+

%description sos-plugins
This package contains API documentation for %{name}.
%endif
%endif

%prep
%setup -q -n %{package_name}-%{package_version}
%patch1 -p1
%patch2 -p1

%build
%if 0%{?enable_autotools}
autoreconf -ivf
%endif
%configure \
        --docdir="%{_docdir}/%{package_name}-%{version}" \
        --disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-log-collector %{buildroot}/%{_bindir}/rhsc-log-collector
echo ".so man8/engine-log-collector.8" > %{buildroot}/%{_mandir}/man8/rhsc-log-collector.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%dir %{_sysconfdir}/ovirt-engine/logcollector.conf.d
%config(noreplace) %{_sysconfdir}/ovirt-engine/logcollector.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{python_sitelib}/ovirt_log_collector/
%{_bindir}/engine-log-collector
%{_mandir}/man8/*
%{_bindir}/rhsc-log-collector

%if 0%{?rhel}
%if 0%{?rhel} < 7
%files sos-plugins
%doc AUTHORS
%doc COPYING
%{python_sitelib}/sos/plugins/*.py*
%endif
%endif

%changelog
* Fri Jun 05 2015 Sahina Bose <sabose@redhat.com> - v3.1.0-1.0
- Initial build based on ovirt-log-collector-3.5.3
  Resolves bz#1227663

